# -*- coding: utf-8 -*-
# Generated by Django 1.11.1 on 2017-05-31 00:09
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('data_gathering', '0004_auto_20170523_1740'),
    ]

    operations = [
        migrations.CreateModel(
            name='MetricValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('value', models.DecimalField(decimal_places=5, max_digits=19)),
                ('git_sha', models.CharField(max_length=40, null=True)),
            ],
        ),
        migrations.AlterField(
            model_name='project',
            name='bugtracker_type',
            field=models.CharField(choices=[(b'JIRA', b'Jira'), (b'GHUB', b'Github')], max_length=10),
        ),
        migrations.AddField(
            model_name='metricvalue',
            name='project',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='data_gathering.Project'),
        ),
    ]
